Subject: Re: [Patch net] ppp: defer netns reference release for ppp channel

From: Cyrill Gorcunov <[email-masked]>
Date: Mon, 1 Aug 2016 01:22:02 +0300

On Thu, Jul 28, 2016 at 12:33:58PM +0200, Guillaume Nault wrote:
> > 
> > After staring more I think the patch should be fine as a fix
> > since implementing sync with ppp_[re|un]register_channel and
> > ppp_ioctl might need a way more work.
> > 
> 
> [Sorry for arriving so late in the game, I was offline the last 3 weeks]
> 
> I agree having some symmetry between the creation and deletion
> processes would be nice and would make the code easier to reason about.
> Actually, I released the channel netns in ppp_unregister_channel() for
> exactly this reason (and failed to spot this race).
> 
> But the code is already quite asymmetric and it's certainly too late to
> move away from this scheme now. So releasing the channel netns in

Yes, this module needs cleanup in general, so fix is fine, thanks!